'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getTestConfig;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _boilerUtils = require('boiler-utils');

var _boilerUtils2 = _interopRequireDefault(_boilerUtils);

var _makeConfig = require('./runner/webdriverio/make-config');

var _makeConfig2 = _interopRequireDefault(_makeConfig);

var _makeConfig3 = require('./runner/nightwatch/make-config');

var _makeConfig4 = _interopRequireDefault(_makeConfig3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const tryExists = _boilerUtils2.default.tryExists;
const buildLogger = _boilerUtils2.default.buildLogger;
const log = buildLogger.log;
function getTestConfig() {
  let testConfigFp = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'test.config.js';

  let retVal;

  const testConfig = tryExists(testConfigFp, { lookUp: true });
  if (_lodash2.default.isPlainObject(testConfig)) {
    const runner = testConfig.runner;

    if (runner && runner === 'nightwatch') {
      log(`Found Nightwatch config at ${ testConfigFp }`);
      retVal = (0, _makeConfig4.default)(testConfig);
    } else {
      log(`Found WebdriverIO config at ${ testConfigFp }`);
      retVal = (0, _makeConfig2.default)(testConfig);
    }
  } else {
    log(`No test config file found -- using default WebdriverIO config`);
    retVal = (0, _makeConfig2.default)();
  }

  return retVal;
}
module.exports = exports['default'];