'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wdioDefaults = undefined;
exports.default = makeWdioConfig;

var _merge = require('lodash/merge');

var _merge2 = _interopRequireDefault(_merge);

var _spec = require('./reporters/spec');

var _spec2 = _interopRequireDefault(_spec);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const wdioDefaults = exports.wdioDefaults = {
  sync: true,
  maxInstances: 1,
  coloredLogs: true,
  waitforTimeout: 30000,
  framework: 'mocha',
  reporters: [_spec2.default],
  reporterOptions: {
    outputDir: './'
  },
  mochaOpts: {
    ui: 'bdd',
    timeout: 60000
  }
};

function makeWdioConfig() {
  let testConfig = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var _process$env$WDIO_CON = process.env.WDIO_CONFIG;
  const WDIO_CONFIG = _process$env$WDIO_CON === undefined ? {} : _process$env$WDIO_CON;

  let options;
  try {
    options = typeof WDIO_CONFIG === 'string' ? JSON.parse(WDIO_CONFIG) : WDIO_CONFIG;
  } catch (e) {
    options = {};
  }

  return (0, _merge2.default)({}, wdioDefaults, testConfig, options);
}