'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = runWebdriverio;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _child_process = require('child_process');

var _boilerUtils = require('boiler-utils');

var _boilerUtils2 = _interopRequireDefault(_boilerUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const gulpTaskUtils = _boilerUtils2.default.gulpTaskUtils;
const thunk = _boilerUtils2.default.thunk;
const addroot = gulpTaskUtils.addroot;
function runWebdriverio(_ref) {
  let opt = _ref.opt;
  let concurrent = _ref.concurrent;
  let config = _ref.config;
  let runnerOptions = _ref.runnerOptions;
  const local = config.local;


  const env = _lodash2.default.merge({}, process.env, {
    WDIO_CONFIG: JSON.stringify(opt),
    TEST_ENV: JSON.stringify({ local })
  });

  const binPath = (0, _path.join)('bin', 'wdio');
  let binaryPath;

  try {
    const webdriverBase = _path2.default.dirname(require.resolve('webdriverio'));

    binaryPath = (0, _path.join)(webdriverBase, '..', binPath);
  } catch (err) {
    binaryPath = addroot('node_modules/webdriverio', binPath);
  }

  const args = [_path2.default.join(__dirname), '--es_staging'];

  if (opt.host === 'hub.browserstack.com' || opt.capabilities.length > 1) {
    args.push('--parallel');
  }

  const cp = (0, _child_process.spawn)(binaryPath, args, {
    stdio: 'inherit',
    env
  });

  return thunk(cp.on, cp);
}
module.exports = exports['default'];