'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

exports.default = readLines;

var _fs = require('fs');

var _boilerUtils = require('boiler-utils');

var _boilerUtils2 = _interopRequireDefault(_boilerUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const buildLogger = _boilerUtils2.default.buildLogger;
const gulpTaskUtils = _boilerUtils2.default.gulpTaskUtils;
const logError = gulpTaskUtils.logError;
const log = buildLogger.log;
function readLines(fp) {
  let offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 50;
  let cb = arguments[2];

  try {
    (0, _fs.readFile)(fp, 'utf8', (err, content) => {
      const lines = content.split('\n');
      log(`-------------------- START reading ${ fp }`);
      log([].concat((0, _toConsumableArray3.default)(lines.slice(0, offset)), ['....................'], (0, _toConsumableArray3.default)(lines.slice(-offset))).join('\n'));
      log(`-------------------- END reading ${ fp }`);

      cb();
    });
  } catch (err) {
    logError({ err, plugin: '[read-lines]' });
  }
}
module.exports = exports['default'];